Bug 19582 - /var/log/mysqld.log is query log, not error log
/var/log/mysqld.log is query log, not error log
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-22 23:35 EDT by Morgan Christiansson
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-22 23:35:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Morgan Christiansson 2000-10-22 23:35:34 EDT
change --log=/var/log/mysqld.log to --err-log=/var/log/mysqld.log in
/etc/rc.d/init.d/mysqld to make /var/log/mysqld.log an error log instead of
a query log.
Comment 1 Trond Eivind Glomsrxd 2000-10-23 12:36:21 EDT
Fixed in 26-2. Thanks.
Comment 2 Trond Eivind Glomsrxd 2000-10-23 15:02:48 EDT
Reverted. Mysql doesn't seem to support this - take a look at the options from
/usr/libexec/mysqld
Comment 3 Morgan Christiansson 2000-10-23 17:14:52 EDT
It seems like safe_mysqld script supports --err-log but when starting the mysqld
daemon it also passess $@ as arguments, which is all arguments to the
safe_mysqld script

the mysqld daemon does not support the --err-log option and therefore an error
is generated.

Suggested fix:
on line 46 in /usr/bin/safe_mysqld, change
err_log=$DATADIR/`/bin/hostname`.err
to
err_log=/var/log/mysqld.log


i think this is the easiest way to fix this without messing around with the
script too much

or using the my_print_defaults program but it doesn't seem to work as it should
from the safe_mysqld script


seems kinda messy that safe_mysqld script, dont ya think?

maybe a cleaner reinplementation of it in the /etc/rc.d/init.d/mysqld script
would be nice? or just a cleanup

but on the other hand this might be the work of the mysql development team?

Note You need to log in before you can comment on or make changes to this bug.